Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1338964 - selecting vmware cluster shows a continuous spinner and throws a traceback
Summary: selecting vmware cluster shows a continuous spinner and throws a traceback
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Compute Resources - VMWare
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: Unspecified
Assignee: Ondřej Pražák
QA Contact: Amir
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-23 18:28 UTC by Kedar Bidarkar
Modified: 2019-09-25 20:32 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 16:40:33 UTC
Target Upstream Version:


Attachments (Terms of Use)
select vmware cluster (519.89 KB, image/gif)
2017-08-23 13:33 UTC, Amir
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 16163 0 None None None 2016-08-18 10:39:42 UTC

Description Kedar Bidarkar 2016-05-23 18:28:24 UTC
Description of problem:

Selecting the vmware cluster throws a traceback 

2016-05-23 14:18:15 [app] [W] Action failed
 | NoMethodError: undefined method `summary' for #<RbVmomi::VIM::Folder:0x007fe1f2510208>
 | /opt/theforeman/tfm/root/usr/share/gems/gems/fog-vsphere-0.6.3/lib/fog/vsphere/requests/compute/list_clusters.rb:35:in `cluster_attributes'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/fog-vsphere-0.6.3/lib/fog/vsphere/requests/compute/get_cluster.rb:8:in `get_cluster'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/fog-vsphere-0.6.3/lib/fog/vsphere/models/compute/clusters.rb:17:in `get'
 | /usr/share/foreman/app/models/compute_resources/foreman/model/vmware.rb:53:in `cluster'
 | /usr/share/foreman/app/models/compute_resources/foreman/model/vmware.rb:101:in `resource_pools'
 | /usr/share/foreman/app/models/compute_resources/foreman/model/vmware.rb:122:in `available_resource_pools'
 | /usr/share/foreman/app/controllers/compute_resources_controller.rb:116:in `resource_pools'
 | /opt/rh/rh-ror41/root/usr/share/gems/gems/actionpack-4.1.5/lib/action_controller/metal/implicit_render.rb:4:in `send_action'


Version-Release number of selected component (if applicable):
sat62-snap12.1

How reproducible:


Steps to Reproduce:
1. Add vmware compute resource
2. while creating a "new host"
3. populate the cluster under the "virtual machine" tab

Actual results:
| NoMethodError: undefined method `summary' for #<RbVmomi::VIM::Folder:0x007fe1f2510208>

Also the spinner is seen continuously at the top most locatio near to "Red Hat Satellite". 

as seen in /var/log/foreman/production.log

Expected results:
No traceback and no continuous spinner should be seen while provisioning.

Additional info:

Comment 3 Kedar Bidarkar 2016-05-25 10:49:06 UTC
I believe this should be fixed, as it is very annoying issue. But we do have a workaround for the continuous spinner, which would not all use to select the resources.

Workaround:

a) Re-Select the, Cluster : "Please select a cluster" from the dropdown [ the spinner should go ]
b) Now slect the desired Cluster
c) We should be now able to select "Resource Pool"

Comment 4 Kedar Bidarkar 2016-05-25 10:50:48 UTC
My bad, I meant:

But we do have a workaround for the continuous spinner, which would not allow us to select the "Resource Pool".

Comment 5 Bryan Kearney 2016-07-26 15:25:24 UTC
Moving 6.2 bugs out to sat-backlog.

Comment 6 Bryan Kearney 2016-07-26 15:28:37 UTC
Moving 6.2 bugs out to sat-backlog.

Comment 8 Ondřej Pražák 2016-08-18 10:39:39 UTC
Created redmine issue http://projects.theforeman.org/issues/16163 from this bug

Comment 9 Bryan Kearney 2016-08-22 08:15:55 UTC
Upstream bug assigned to oprazak@redhat.com

Comment 10 Bryan Kearney 2016-08-22 08:15:59 UTC
Upstream bug assigned to oprazak@redhat.com

Comment 11 Ondřej Pražák 2016-08-22 08:22:31 UTC
The traceback seems to be already fixed in Fog since I could not reproduce, the fix for spinner was submitted to upstream.

Comment 12 Bryan Kearney 2016-08-30 12:17:14 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/16163 has been resolved.

Comment 15 Amir 2017-08-23 13:33:43 UTC
Created attachment 1317086 [details]
select vmware cluster

Verified.
Version Tested: Satellite-6.3 Snap 12
In host creation page, under virtual machine tab, selecting cluster works as intended, as you can see at the attached gif.

Comment 16 Bryan Kearney 2018-02-21 16:39:04 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336

Comment 17 Bryan Kearney 2018-02-21 16:40:33 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336

Comment 18 pm-sat@redhat.com 2018-02-21 16:54:17 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> 
> For information on the advisory, and where to find the updated files, follow the link below.
> 
> If the solution does not work for you, open a new bug report.
> 
> https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.